
		<?php $gettitile=Mage::getStoreConfig('anand_home/bestprice_configuration/bestprice_title');
		$getslider=Mage::getStoreConfig('anand_home/bestprice_configuration/slider_con_bestprice');
		$getActive=Mage::getStoreConfig('anand_home/bestprice_configuration/enable_disable_bestprice');
		$no_product=Mage::getStoreConfig('anand_home/bestprice_configuration/no_product_bestprice');
		$cateid=Mage::getStoreConfig('anand_home/bestprice_configuration/cateid_bestprice');
		$mactive=Mage::getStoreConfig('anand_home/mconfiguration/enable_disable_m');
		
		 $dt = new DateTime();
		 	?>
		<?php 
		 if($mactive=="1")
		 {
         if(!empty($getActive) && $getActive==1) {?>
		<h1 style="text-align:center;"><?php if(!empty($gettitile)){echo $gettitile;}?></h1>
		<div id="related" class="bprice">
		</div>
		<div id="demo" class="clearfix">
		</div>
		<?php }}?>
		<script language="javascript">
		    jQuery(document).ready(function()
		       {
   		         lazyloadImage();
		       });
		function lazyloadImage()
		  {
		     jQuery("img.lazy").each(function()
		     {
		        var e = jQuery(this).offset().top,
		        t = jQuery(window).scrollTop(),
		        s = jQuery(window).height(),
		        a = s > e - t;
		        a && jQuery(this).attr("src", jQuery(this).attr("data-original")).removeClass("lazy")
		     })
		 }
		var lazyloadImage=function()
		  {
		    jQuery("img.lazy").each(function()
		      {
		        var distanceToTop=jQuery(this).offset().top;
		        var scroll=jQuery(window).scrollTop();
		        var windowHeight=jQuery(window).height();
		        var isVisible=distanceToTop-scroll<windowHeight;
		        if(isVisible)
		          {
		             jQuery(this).attr("src",jQuery(this).attr("data-original")).removeClass("lazy");
		          }
		     });
		} 
		jQuery(window).on("load", function()
		{
	       lazyloadImage();
		});	
		  jQuery(window).scroll(function()
		    {
   		      lazyloadImage();
		    });
		jQuery(document).ready(function()
		  {
		     var category_Id='<?php echo $cateid; ?>'
		     loadajax(category_Id);
		 });
		function loadajax(categoryId)
		  {
		    jQuery.ajax({
		    url:"<?php echo $this->getUrl('anandhome/index/bestprices'); ?>",
		    type: 'GET',
		    dataType: 'json',
		    contentType: 'application/json; charset=utf-8',
		    data: {categoryId: categoryId},
		    success: function(products) {
		    var row="";
		    var slider='<?php echo $getslider;?>'
		    var slider_img='<?php echo $no_product;?>'
		    var dd='<?php  echo $dt->format('Y-m-d');  ?>';
		   if(slider_img<="5" && slider=="0" )
		     {

		        jQuery.each(products, function (key,value)
		           {
       					
		           	if(value.specialprice != null && value.spefromdate != null && value.spetodate !=null ) 
		           	{
		           		
		           		
		           
		              row += "<ul>";
	                  row += "<li><a href='"+value.producturl+"'><img width='"+value.imgwidth+"px' height='"+value.
	                  imgheight+"px' src='<?php echo $this->getSkinUrl("images/ogaan.png"); ?>' data-original='"+value.
	                  image+"' class='lazy' ><p>"+value.name+"</p></a>"
	                  
	                  if(value.spefromdate<=dd &&  value.spetodate>=dd)
		          	 {
	                  row+="<p><del>"+value.price+"</del></p> <p>"+value.specialprice+"</p>";
		              }
		              else
		              {
		              	 row+="<p>"+value.price+"</p>";
		              }

		              row += "</li></ul>"; 
		         
		         
		      }
		          else
		          {
		          	row += "<ul>";
	                  row += "<li><a href='"+value.producturl+"'><img width='"+value.imgwidth+"px' height='"+value.
	                  imgheight+"px' src='<?php echo $this->getSkinUrl("images/ogaan.png"); ?>' data-original='"+value.
	                  image+"' class='lazy' ><p>"+value.name+"</p></a><p>"+value.price+"</p></li>";
		              row += "</ul>"; 
		          }
		           });
		     }
		  else if(slider=="1" && slider_img<="5")
		{
			    jQuery('#demo').html('<div id="testing" class="owl-carousel clearfix"></div>'); 
			    jQuery.each(products, function (key,value)
			    {

			    	if(value.specialprice != null && value.spefromdate != null && value.spetodate != null ) 
		           	{
		           		if(value.spefromdate<=dd &&  value.spetodate>=dd)
			          	{  
			          	 	jQuery("#testing").append('<div class="data_append"><a href="'+value.producturl+'"><img src="<?php echo $this->
				    getSkinUrl('images/ogaan.png'); ?>" data-original="'+value.image+'" class="lazy" /> <center><p class="img_name">'+value.name+'</p></center></a><div><center><p><del>'+value.price+'</del></p></center><center><p>'+value.specialprice+'</p></center></div></div>'); 
			          	}
			          	else
			          	{ 
			          		
			          		jQuery("#testing").append('<div class="data_append"><a href="'+value.producturl+'"><img src="<?php echo $this->
				    getSkinUrl('images/ogaan.png'); ?>" data-original="'+value.image+'" class="lazy" /> <center><p class="img_name">'+value.name+'</p></center></a><div><center><p>'+value.price+'</p></center></div></div>'); 
			          		
			          	}
			          	
		          	} 
		          	else
		          	{
		          		
		          	jQuery("#testing").append('<div class="data_append"><a href="'+value.producturl+'"><img src="<?php echo $this->
				    getSkinUrl('images/ogaan.png'); ?>" data-original="'+value.image+'" class="lazy" /> <center><p class="img_name">'+value.name+'</p></center></a><div><center><p>'+value.price+'</p></center></div></div>');	
		          	}
		         }); 
			    
			    var owl = jQuery("#testing"); owl.owlCarousel({ items: 5, navigation: true ,margin:10, nav:true, navText:["<",">"],  responsiveClass:true,
		        responsive:
		        {
                     0:
                       {
                         items:1,
                         nav:true
                        },
                  479:
                   {
                      items:3,
                      nav:true
                   },
                  1000:
                   {
                      items:5,
                      nav:true,
                      loop:false,
                    }
	            }
		       });
		    }
		else if(slider==1 && slider_img>5)
		 {
			    jQuery('#demo').html('<div id="testing" class="owl-carousel clearfix"></div>'); 
			    jQuery.each(products, function (key,value)
			    {

			    	if(value.specialprice != null && value.spefromdate != null && value.spetodate !=null ) 
		           	{
		           		
		           		if(value.spefromdate<=dd &&  value.spetodate>=dd)
			          	{  

			          	 	jQuery("#testing").append('<div class="data_append"><a href="'+value.producturl+'"><img src="<?php echo $this->
				    getSkinUrl('images/ogaan.png'); ?>" data-original="'+value.image+'" class="lazy" /> <center><p class="img_name">'+value.name+'</p></center></a><div><center><p><del>'+value.price+'</del></p></center><center><p>'+value.specialprice+'</p></center></div></div>'); 
			          	}
			          	else
			          	{ 
			          		
			          		jQuery("#testing").append('<div class="data_append"><a href="'+value.producturl+'"><img src="<?php echo $this->
				    getSkinUrl('images/ogaan.png'); ?>" data-original="'+value.image+'" class="lazy" /> <center><p class="img_name">'+value.name+'</p></center></a><div><center><p>'+value.price+'</p></center></div></div>'); 
			          		
			          	}
			          	
		          	}
		          	else
		          	{
		          		
		          	jQuery("#testing").append('<div class="data_append"><a href="'+value.producturl+'"><img src="<?php echo $this->
				    getSkinUrl('images/ogaan.png'); ?>" data-original="'+value.image+'" class="lazy" /> <center><p class="img_name">'+value.name+'</p></center></a><div><center><p>'+value.price+'</p></center></div></div>');	
		          	} 
		         }); 
			    
			    var owl = jQuery("#testing"); owl.owlCarousel({ items: 5, navigation: true ,margin:10, nav:true, navText:["<",">"],  responsiveClass:true,
		        responsive:
		        {
                     0:
                       {
                         items:1,
                         nav:true
                        },
                  479:
                   {
                      items:3,
                      nav:true
                   },
                  1000:
                   {
                      items:5,
                      nav:true,
                      loop:false,
                    }
	            }
		       });
		    }
		jQuery(".bprice").append(row);
		}
		});
		}
  	</script>

 